<!DOCTYPE html>
<html>
    <head> 
        <title>Web Estàtica</title>
        <meta charset="UTF-8"/>
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css">
        <link rel="stylesheet" href="https://cdn.datatables.net/1.13.7/css/jquery.dataTables.css" />
        <link rel="stylesheet" href="style.css">

        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"></script>
        <script src="https://cdn.datatables.net/1.13.7/js/jquery.dataTables.js"></script>
        <script src="https://code.jquery.com/jquery-3.7.0.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"></script>
        <script src="https://cdn.datatables.net/1.13.7/js/jquery.dataTables.min.js"></script>
        <script src="https://cdn.datatables.net/buttons/2.4.2/js/dataTables.buttons.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.10.1/jszip.min.js"></script>
        <script src="https://cdn.datatables.net/buttons/2.4.2/js/buttons.html5.min.js"></script>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-OERcA2EqjJCMA+/3y+gxIOqMEjwtxJY7qPCqsdltbNJuaOe923+mo//f6V8Qbsw3" crossorigin="anonymous"></script>
        <script src="./funcions.js"></script>
    </head>
    <body class="bg-dark text-white">
        <div style="background-image: url(https://img.freepik.com/vector-gratis/material-audiovisual-diseno-plano_23-2147544495.jpg);
        background-repeat: repeat;
        background-attachment: fixed;
        background-size: 20%; 
        margin: 0px;" 
        class="jumbotron text-center">
            <a href="index.html" class="font-weight-bolder text-dark display-1 shadow">CINEMA</a>
        </div>
        <nav class="navbar navbar-expand-sm bg-danger navbar-light">
            <div class="container-fluid justify-content-center">
                <ul class="navbar-nav text-center">
                  <li class="nav-item mr-5">
                    <a class="nav-link dropdown-toggle h4" href="#" d="navbarDropdownMenuLink" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Categories</a>
                    <div class="dropdown-menu bg-warning" aria-labelledby="navbarDropdownMenuLink">
                        <a class="dropdown-item" href="#">Fantasia</a>
                        <a class="dropdown-item" href="#">Accion</a>
                        <a class="dropdown-item" href="#">Terror</a>
                        <a class="dropdown-item" href="#">Drama</a>
                    </div> 
                  </li>
                  <li class="nav-item mr-5">
                    <a class="nav-link h4" href="#">Estrenes</a>
                  </li>
                  <li class="nav-item mr-5">
                    <a class="nav-link h4" href="#">Oscaritzats</a>
                  </li>
                  <li class="nav-item mr-5">
                    <a class="nav-link h4" href="#">Guia d'actors</a>
                  </li>
                </ul>
              </div>
        </nav>

        <div id="carouselExampleFade" class="carousel slide" data-bs-ride="carousel" style="margin-bottom: 20px; margin-top: 20px;">
            <div class="carousel-inner">
              <div class="carousel-item active">
                <div class="container-fluid bg-dark">
                  <div class="row align-items-center" style="height: 70vh; width: 100%;">
                    <img style="height: 100%;" class="col-sm-3 img-fluid" src="https://es.web.img2.acsta.net/pictures/23/07/20/11/29/5479684.jpg"/>
                    <img style="height: 100%;" class="col-sm-3 img-fluid" src="https://pics.filmaffinity.com/The_Equalizer_3-455060562-large.jpg"/>
                    <img style="height: 100%;" class="col-sm-3 img-fluid" src="https://www.ecartelera.com/carteles/17900/17978/001_m.jpg"/>
                    <img style="height: 100%;" class="col-sm-3 img-fluid" src="https://pics.filmaffinity.com/Blue_Beetle-374893789-large.jpg"/>
                  </div>
                </div>
              </div>
            <div class="carousel-item">
                <div class="container-fluid bg-dark">
                    <div class="row align-items-center" style="height: 70vh; width: 100%;">
                        <img style="height: 100%;" class="col-sm-3 img-fluid w-25" src="https://es.web.img3.acsta.net/c_310_420/pictures/17/11/02/13/42/4865983.jpg"/>
                        <img style="height: 100%;" class="col-sm-3 img-fluid w-25" src="https://es.web.img2.acsta.net/c_310_420/medias/nmedia/18/89/67/45/20061512.jpg"/>
                        <img style="height: 100%;" class="col-sm-3 img-fluid w-25" src="https://es.web.img3.acsta.net/c_310_420/pictures/23/05/25/13/02/1443257.jpg"/>
                        <img style="height: 100%;" class="col-sm-3 img-fluid w-25" src="https://es.web.img3.acsta.net/c_310_420/pictures/16/02/08/16/50/425295.jpg"/>
                    </div>
                </div>
            </div>
              <div class="carousel-item">
                <div class="container-fluid bg-dark">
                    <div class="row align-items-center" style="height: 70vh; width: 100%;">
                        <img style="height: 100%;" class="col-sm-3 img-fluid w-25" src="https://pics.filmaffinity.com/doraibu_mai_ka-916845386-mmed.jpg"/>
                        <img style="height: 100%;" class="col-sm-3 img-fluid w-25" src="https://pics.filmaffinity.com/rise_of_the_guardians-746579871-mmed.jpg"/>
                        <img style="height: 100%;" class="col-sm-3 img-fluid w-25" src="https://pics.filmaffinity.com/le_fabuleux_destin_d_amelie_poulain-848337470-mmed.jpg"/>
                        <img style="height: 100%;" class="col-sm-3 img-fluid w-25" src="https://pics.filmaffinity.com/las_herederas-820009352-mmed.jpg"/>
                    </div>
                </div>
              </div>
            </div>
            <a class="carousel-control-prev" href="#carouselExampleFade" role="button" data-slide="prev">
                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                <span class="sr-only">Previous</span>
            </a>
            <a class="carousel-control-next" href="#carouselExampleFade" role="button" data-slide="next">
                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                <span class="sr-only">Next</span>
            </a>
          </div>
      </div>

      <div class="text-center">
        <button id='carregarJsonBtn' class='btn btn-warning mt-3 mb-2'> Carregar dades JSON</button>
        <button id='carregarDbBtn' class='btn btn-danger mt-3 mb-2'> Carregar dades DB</button>
        <button id='nuevaPeliculaBtn' class="btn btn-warning mt-3 mb-2">Afegir nova pel·licula</button>
        <button id='eliminarFilasBtn' class="btn btn-danger mt-3 mb-2">Eliminar pel·licules seleccionadas</button>
      </div>

      <div class="container py-4">
        <form id="filtrarPelis" method="post" >
            <div class="form-row">
                <div class="col-md-5">
                    <label for="directorFiltrar" class="form-label">Director:</label>
                    <select id="directorFiltrar" name="director" class="form-select w-100">
                        <option value="">Selecciona un director</option>
                    </select>
                </div>
                <div class="col-md-5">
                    <label for="selectGenero" class="form-label">Gènere:</label>
                    <select id="selectGenero" name="genero" class="form-select w-100" disabled>
                        <option value="">Selecciona un gènere</option>
                    </select>
                </div>
                <div class="col-md-2 mt-2">
                    <input type="submit" class="btn btn-success" value="Filtrar"/>
                </div>
            </div>
        </form>
      </div>
      
      <div class="table-responsive">
            <table id="filmTable" class="display table table-striped table-bordered table-sm table-light text-center" cellspacing="0" width="100%">
                <thead class="bg-danger align-items-center" margin="10px">
                    <th class="th-sm text-center" scope="col">Portada</th>
                    <th class="th-sm text-center" scope="col">Títol</th>
                    <th class="th-sm text-center" scope="col">Data</th>
                    <th class="th-sm text-center" scope="col">Director</th>
                    <th class="th-sm text-center" scope="col">Reparto</th>
                    <th class="th-sm text-center" scope="col">Durada</th>
                    <th class="th-sm text-center" scope="col">Gènere</th>
                    <th class="th-sm text-center" scope="col">Pais</th>
                    <th class="th-sm text-center" scope="col">Premis</th>
                    <th class="th-sm text-center" scope="col">Valoració</th>
                </thead>
                <tbody>
                    <tr>
                        <td><img class="img-fluid" src="https://es.web.img3.acsta.net/c_310_420/pictures/17/11/02/13/42/4865983.jpg"/></td>
                        <td>Wonder</td>
                        <td>2017/12/01</td>
                        <td>Stephen Chbosky</td>
                        <td>Julia Roberts, Jacob Tremblay, Owen Wilson</td>
                        <td>1h 51m</td>
                        <td>Drama</td>
                        <td>Estats Units</td>
                        <td>--</td>
                        <td>4.3/5</td>
                    <tr>
                        <td><img class="img-fluid" src="https://es.web.img2.acsta.net/c_310_420/medias/nmedia/18/89/67/45/20061512.jpg"/></td>
                        <td>El señor de los anillos</td>
                        <td>2001/12/19</td>
                        <td>Peter Jackson</td>
                        <td>Elijah Wood, Sean Astin, Ian McKellen</td>
                        <td>2h 58m</td>
                        <td>Fantasia</td>
                        <td>Estats Units</td>
                        <td>--</td>
                        <td>4.6/5</td>
                    </tr>
                    <tr>
                        <td><img class="img-fluid" src="https://es.web.img3.acsta.net/c_310_420/pictures/23/05/25/13/02/1443257.jpg"/></td>
                        <td>Elemental</td>
                        <td>2023/07/14</td>
                        <td>Peter Sohn</td>
                        <td>Leah Lewis, Mamoudou Athie, Ronnie Del Carmen</td>
                        <td>1h 42m</td>
                        <td>Animación</td>
                        <td>Estats Units</td>
                        <td>-- </td>
                        <td>3.8/5</td>
                    </tr>
                    <tr>
                        <td><img class="img-fluid" src="https://es.web.img3.acsta.net/c_310_420/pictures/16/02/08/16/50/425295.jpg"/></td>
                        <td>Los otros</td>
                        <td>2001/09/07</td>
                        <td>Alejandro Amenábar</p>
                        <td>Nicole Kidman, Elaine Cassidy, Christopher Eccleston</td>
                        <td>1h 45m</td>
                        <td>Terror</td>
                        <td>Espanya</td>
                        <td>--</td>
                        <td>3.2/5</td>
                </tr>
                    <tr>
                        <td><img class="img-fluid" src="https://pics.filmaffinity.com/le_fabuleux_destin_d_amelie_poulain-848337470-mmed.jpg"/></td>
                        <td>Amèlie</td>
                        <td>2001/10/19</td>
                        <td>Jean-Pierre Jeunet</td>
                        <td>Audrey Tautou, Marhieu Kassovitz, Rufus Magloire</td>
                        <td>2h </td>
                        <td>Comedia</td>
                        <td>Francia</td>
                        <td>--</td>
                        <td>4.8/5</td>
                    </tr>
                    <tr>
                        <td><img class="img-fluid" src="https://pics.filmaffinity.com/las_herederas-820009352-mmed.jpg"/></td>
                        <td>Las herederas </td>
                        <td>2018/04/05</td>
                        <td>Marcelo Martinessi</td>
                        <td>Jana Brun, Margarita Irún, Ana Ivanova</td>
                        <td>1h 37m</td>
                        <td>Drama</td>
                        <td>Paraguay </td>
                        <td>--</td>
                        <td>3.9/5</td>
                    </tr>
                    <tr>
                        <td><img class="img-fluid " src="https://es.web.img2.acsta.net/c_310_420/pictures/23/05/25/13/41/1835431.jpg"/></td>
                        <td>Oppenheimer</td>
                        <td>2023/07/21</td>
                        <td>Christopher Nolan</td>
                        <td>Cillian Murphy, Emily Blunt, Matt Damon</td>
                        <td>3h 01m</td>
                        <td>Historico</td>
                        <td>Estats Units</td>
                        <td>--</td>
                        <td>3.6/5</td>
                    </tr>
                    <tr>
                        <td><img class="img-fluid " src="https://pics.filmaffinity.com/rise_of_the_guardians-746579871-mmed.jpg"/></td>
                        <td>El Origen de los guardianes</td>
                        <td>2012/11/30</td>
                        <td>Peter Ramsey</td>
                        <td>Chris Pine, Alec Baldwin, Isla Fisher, Hugh Jackman</td>
                        <td>1h 37m</td>
                        <td>Animacio </td>
                        <td>Estats Units</td>
                        <td>--</td>
                        <td>3.6/5</td>
                    </tr>
                    <tr>
                        <td><img class="img-fluid " src="https://pics.filmaffinity.com/il_racconto_dei_racconti_the_tale_of_tales-657037591-mmed.jpg"/></td>
                        <td>El cuento de los cuentos</td>
                        <td>2015/05/14</td>
                        <td>Matteo Garrone </td>
                        <td>Salma Hayek, Vincent Cassel, Toby Jones, John C.Reilly</td>
                        <td>2h 13m</td>
                        <td>Drama, fantasia, terror </td>
                        <td>Italia </td>
                        <td>-- </td>
                        <td>3.6/5</td>
                    </tr>
                    <tr>
                        <td><img class="img-fluid " src="https://pics.filmaffinity.com/inception-652954101-mmed.jpg"/></td>
                        <td>Origen </td>
                        <td>2010/06/06</td>
                        <td>Christopher Nolan</td>
                        <td>Leonardo DiCaprio, Joseph Gordon-Levit, Elliot Page, Ken Watanabe</td>
                        <td>2h 24m</td>
                        <td>Ciencia-ficcio, thriller </td>
                        <td>Estats Units</td>
                        <td>-- </td>
                        <td>3.6/5</td>
                    </tr>
                    <tr>
                        <td><img class="img-fluid " src="https://pics.filmaffinity.com/mortal-463237462-mmed.jpg"/></td>
                        <td>Mortal </td>
                        <td>2023/07/21</td>
                        <td>André Øvredal </td>
                        <td>Nat Wolff, Priyanka Bose, Arthur Hakalahti, Iben Akerlie</td>
                        <td>1h 54m</td>
                        <td>Fantastico, ficcion </td>
                        <td>Noruega </td>
                        <td>-- </td>
                        <td>3.6/5</td>
                    </tr>
                    <tr>
                        <td><img class="img-fluid " src="https://pics.filmaffinity.com/doraibu_mai_ka-916845386-mmed.jpg"/></td>
                        <td>Drive my car</td>
                        <td>2023/07/21</td>
                        <td>Ryûsuke Hamaguchi </td>
                        <td>Hideoshi Nisijuma, Toko Miura, Reika Kirishima, Park Yu-rim</td>
                        <td>2h 59m</td>
                        <td>Drama </td>
                        <td>Japon </td>
                        <td>Oscar a mejor pelicula extranjera </td>
                        <td>3.6/5</td>
                    </tr>
                </tbody>
            </table>
        </div>

        <footer id='footer' class="text-center text-white-50 mt-2 p-4">
            <!-- Copyright -->
            <div class="text-center">
                <p>Copyright (c) 2022 Marlene Flor. Drets reservats.</p>
                <p><strong>Email de contacte:</strong> mflor.edt@gmail.com</p>
                <p><strong>Telèfon:</strong> 999 999 999</p>
            </div>
            <!-- Copyright -->
          </footer>
    </body>
</html>